import java.awt.*;
import java.applet.*;

/** Applet affichant des carrs dont la couleur, la position
 *  et la dimension est choisie au hasard.
 *  Il suffit de masquer le contenu de l'applet (par exemple
 *  en iconisant la fentre du navigateur) puis de la refaire
 *  apparaitre pour obtenir un nouveau dessin.
 *  Normal : chaque appel  la mthode paint produit un nouveau
 *  dessin.
 */
public class carres extends Applet {
 
 //nombre de carrs  dessiner
 int nbCars;
    
 /**
  * Initialisation du nombre de carrs et de la
  * couleur de fond
  */
 public void init() {
  nbCars=20;
  setBackground(Color.white);
 }
 
 /**
  * Tirer un nombre au hasard entre 0 et n (n exclus)
  */
 int hasard(int n) {
  Double D=new Double(Math.random()*n);
  return D.intValue();
  // ou
  // return (int)Math.floor(Math.random()*n); 
 }

 /**
  * Dessiner un carr : couleur, position et taille sont
  * tirs au hasard en utilisant la mthode hasard.
  */
 void dessineCarre(Graphics g) {
  //choix de la couleur
  Color col=new Color(hasard(256),hasard(256),hasard(256));
  //maximum pour coordonnes et ct
  int maxi=Math.min(getSize().width/2,getSize().height/2);
  //coordonnes
  int x=hasard(maxi);
  int y=hasard(maxi);
  //ct
  int c=hasard(maxi);
  //on trace
  g.setColor(col);
  g.fillRect(x,y,c,c);
 }

 /**
  * La mthode paint dessine nbCars carrs en appelant la
  * la mthode de dessin d'un carr autant de fois que
  * ncessaire.
  */
 public void paint(Graphics g)	{
  for (int i=0; i<nbCars; i++) dessineCarre(g);
 }

}
	