import java.awt.*;
import java.awt.event.*;

public class loto extends Panel implements ActionListener {
 
 TextField[] tirage=new TextField[6];
 
 public loto() {
  Panel p;
  Font f;
  f=new Font("SansSerif",Font.BOLD,14);
  setBackground(Color.green);
  setLayout(new GridLayout(3,1,4,4));
  //ligne 1
  p=new Panel();
  add(p);
  Label lab=new Label("Tirage du LOTO");
  lab.setFont(f);
  p.add(lab);
  //ligne 2
  p=new Panel();
  add(p);
  p.setLayout(new GridLayout(1,6,4,4));
  for (int i=0; i<6; i++) {
   tirage[i]=new TextField(2);
   tirage[i].setEditable(false);
   tirage[i].setBackground(Color.yellow);
   tirage[i].setFont(f);
   p.add(tirage[i]);
  }
  //ligne 3
  p=new Panel();
  add(p);
  Button b=new Button("Tirage");
  b.addActionListener(this);
  p.add(b);
 }

 public Insets getInsets() {
  return new Insets(4,4,4,4);
 }
 
 public void actionPerformed(ActionEvent e) {
  if ("Tirage".equals(e.getActionCommand())) calcule();
 }

 int hasard(int n) {
  return (int)Math.ceil(Math.random()*n);
 }
 
 void calcule() {
  int[] d=new int[6];
  boolean ok;
  //tirer 6 nombres en vitant les rptitions
  for (int i=0; i<6; i++) {
   do {
    ok=true;
    d[i]=hasard(49);
    for (int j=0; j<i; j++) if (d[i]==d[j]) ok=false;
   } while (!ok); 
  }
  //inscrire les nombres tirs
  for (int i=0; i<6; i++) tirage[i].setText(""+d[i]);
 }
}

