import java.awt.*;
import java.awt.event.*;

public class AppCarre extends Frame 
 implements ActionListener, WindowListener {

 LeDessin dessin;
 
 public AppCarre() {
  MenuItem mi;
  setTitle("H20");
  addWindowListener(this);
  dessin=new LeDessin();
  add(dessin,BorderLayout.CENTER);
  
  //construction du menu
  MenuBar mb=new MenuBar();
  setMenuBar(mb);  
  
  Menu m1=new Menu("Fichier");
  mb.add(m1);
  mi=new MenuItem("Quitter");
  mi.addActionListener(this);
  m1.add(mi);
  
  Menu m2=new Menu("Edition");
  mb.add(m2);  
  mi=new MenuItem("Cercles");
  mi.addActionListener(this);
  m2.add(mi);
  
  mi=new MenuItem("Carrs");
  mi.addActionListener(this);
  m2.add(mi);
  
  m2.addSeparator();
  
  mi=new MenuItem("Recalculer");
  mi.setActionCommand("Changer");
  mi.setShortcut(new MenuShortcut(KeyEvent.VK_K));
  mi.addActionListener(dessin);
  m2.add(mi);
 }
 
 
 /**
  * Gestion de l'vnement Case de fermeture
  */
 public void windowClosing(WindowEvent event) {
  System.exit(0);
 }

 public void windowClosed(WindowEvent event) {}

 public void windowDeiconified(WindowEvent event) {}

 public void windowIconified(WindowEvent event) {}

 public void windowActivated(WindowEvent event) {}

 public void windowDeactivated(WindowEvent event) {}

 public void windowOpened(WindowEvent event) {}

 /**
  * Gestion du menu
  */
 public void actionPerformed(ActionEvent e) {
  if (e.getActionCommand().equals("Cercles")) 
   dessin.modeCercle();
  else if (e.getActionCommand().equals("Carrs"))
   dessin.modeCarre();
  else if (e.getActionCommand().equals("Quitter"))
   System.exit(0);
 }
 
 public static void main(String args[]) {
  System.out.println("Chargement en cours...");
  AppCarre fr=new AppCarre();
  fr.setBounds(50,100,300,300);
  fr.show();
 }

}

