import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class Oper extends Applet 
 implements ActionListener {

 TextField A=new TextField();
 TextField B=new TextField();
 TextArea result=new TextArea();
 
 public void init() {
  setLayout(new BorderLayout(4,4));
  Panel haut=new Panel();
  haut.setLayout(new GridLayout(2,4,4,4));
  haut.add(new Label("Nombre A :"));
  haut.add(A);
  ajouteBouton("Ajouter",haut);
  ajouteBouton("Soustraire",haut);
  haut.add(new Label("Nombre B :"));
  haut.add(B);
  ajouteBouton("Multiplier",haut);
  ajouteBouton("Diviser",haut);
  add("North",haut);
  add("Center",result);
 }

 void ajouteBouton(String S, Panel p) {
  Button b=new Button(S);
  b.addActionListener(this);
  p.add(b);
 }
 
 public Insets getInsets() {
  return new Insets(4,4,4,4);
 }
 
 String calcRep(char op) {
  String S="";
  try {
   double a=Double.valueOf(A.getText()).doubleValue();
   double b=Double.valueOf(B.getText()).doubleValue();
   double d=0;
   switch (op) {
    case '+' :
     d=a+b;
     break;
    case '-' :
     d=a-b;
     break;
    case '*' :
     d=a*b;
     break;
    case '/' :
     d=a/b;
     break;
   }
   S=""+a+op+b+" = "+d;
  } catch (Exception e) {
   S="Nombre mal crit.";
  }
  return S+'\n';
 }
 
 public void actionPerformed(ActionEvent e) {
  if (e.getActionCommand().equals("Ajouter"))
   result.append(calcRep('+'));
  else if (e.getActionCommand().equals("Soustraire"))
   result.append(calcRep('-'));
  else if (e.getActionCommand().equals("Multiplier"))
   result.append(calcRep('*'));
  else if (e.getActionCommand().equals("Diviser"))
   result.append(calcRep('/'));
 }
 
}

