import java.awt.*;
import java.awt.event.*;

public class LeDessin extends Canvas
 implements ActionListener {
 
 static int nbcarres=20;
 //pour tracer les 20 carres
 int x[]=new int[nbcarres];
 int y[]=new int[nbcarres];
 int c[]=new int[nbcarres];
 Color col[]= new Color[nbcarres];
 boolean nouveau;
 
 /**
  * Constructeur
  */
 public LeDessin() {
  nouveau=true;
  setBackground(Color.white);
 }
 
 /**
  * Tirer un nombre au hasard entre 0 et n (n exclus)
  */
 int hasard(int n) {
  Double D=new Double(Math.random()*n);
  return D.intValue();
  // ou
  // return (int)Math.floor(Math.random()*n); 
 }
 
 /**
  * Calcul des donnes : position, ct,couleur
  * pour chaque carr
  */
 public void recalc() {
  //maximum pour coordonnes et ct
  int maxi;
  int largeur=getSize().width;
  int hauteur=getSize().height;
  for (int i=0; i<nbcarres; i++) {
   col[i]=new Color(hasard(256),hasard(256),hasard(256));
   //coordonnes
   x[i]=hasard(largeur);
   y[i]=hasard(hauteur);
   //ct
   maxi=Math.min(largeur-x[i],hauteur-y[i]);
   c[i]=hasard(maxi);
  }
  nouveau=false;
 } 
 
 /**
  * mthode d'affichage
  */
 public void paint(Graphics g) {
  if (nouveau) recalc();
  for (int i=0; i<nbcarres; i++) {
   g.setColor(col[i]);
   g.fillRect(x[i],y[i],c[i],c[i]);
  }
 }
  
 /**
  * Raction  la commande "Changer"
  */ 
 public void actionPerformed(ActionEvent e) {
  if (e.getActionCommand().equals("Changer")) {
   nouveau=true;
   repaint();
  } 
 }
}
 
