import java.awt.*;

/**
 * classe drive de Panel avec bordure donnant
 * un effet 3D
 */
public class Panel3D extends Panel {

 public Panel3D() {
  setBackground(Color.lightGray);
 }

 /**
  * crer une marge pour les composants insrs
  * afin de ne pas recouvrir le cadre dessin
  */
 public Insets getInsets() {
  return new Insets(8,8,8,8);
 }

 /**
  * dessin de l'effet 3D
  */
 public void paint(Graphics g) {
  g.setColor(Color.lightGray);
  g.draw3DRect(4,4,getSize().width-8-1,getSize().height-8-1,false);
 } 
}

