import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Son extends Applet 
 implements ActionListener {
  // -----------------------------------------------
  // Objets communs aux mthodes de la classe Son
  // -----------------------------------------------
  AudioClip fond;
  AudioClip clic;
  int Nb = 0;
  Button b;

 /******************************
  * Diverses initialisations
 *******************************/
 public void init() {
  // Initialisation des deux objets AudioClip
  fond = getAudioClip(getCodeBase(), "oiseau.au");
  clic = getAudioClip(getCodeBase(), "clic.au");

  // Lancement du son en tche de fond
  if (fond != null) fond.loop();

  // Ajout d'un bouton  l'applet
  b = new Button("Appuyez ici");
  add(b);
  b.setActionCommand("Clic");
  b.addActionListener(this);
 }

 /******************************************
  ** Gestion des vnements lis au systme 
  *******************************************/
 public void actionPerformed(ActionEvent evt) {
  if (evt.getActionCommand().equals("Clic")) {
   clic.play();
   Nb++;
   repaint();
  }
 }

 /**********************************************
  ** Affichage du nombre d'appuis sur le bouton
  ***********************************************/
 public void paint(Graphics g) {
  g.drawString("Vous avez cliqu " + Nb + " fois sur le bouton.", 50, 80);
 }
}
