import java.awt.*;
import java.awt.event.*;

public class Effet3D extends java.applet.Applet 
 implements MouseListener {  
 
 String msg;
 boolean raised=true;
 
 public void init() {
  addMouseListener(this);
  msg=getParameter("texte");
  if (msg==null) msg="Bonjour !";
  setBackground(Color.white);
  setForeground(Color.black);
  setFont(new Font("Helvetica",Font.BOLD,20));
 }
 
  // Gestion des vnements souris
  public void mouseReleased(MouseEvent evt) {
   raised=true;
   repaint();
  }

  public void mousePressed(MouseEvent evt) {
   raised=false;
   repaint();
  }

  public void mouseEntered(MouseEvent e) {}

  public void mouseExited(MouseEvent e) {}

  public void mouseClicked(MouseEvent e) {
  }

 //affichage
 public void paint(Graphics g) {
  FontMetrics fm=g.getFontMetrics();
  int largeur=fm.stringWidth(msg);
  int hauteur=fm.getHeight();
  int xm=(getSize().width-largeur)/2;
  int ym=(getSize().height-hauteur)/2;
  int bord=5;
  g.setColor(Color.lightGray);
  g.fill3DRect(xm-bord,ym-bord,largeur+2*bord,hauteur+2*bord,raised);
  g.setColor(Color.black);
  g.draw3DRect(xm-bord-1,ym-bord-1,largeur+2*bord+1,hauteur+2*bord+1,raised);
  //attention il faut crire sur la ligne de base
  //d'o le calcul de l'ordonne
  g.setColor(Color.black);
  g.drawString(msg,xm,ym+hauteur-fm.getDescent());
 }

}

