import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class segment extends Applet 
 implements MouseListener, MouseMotionListener {

 int x[]=new int[2]; //abscisses des extrmits
 int y[]=new int[2]; //ordonnes des extrmits
 int numPoint=-1;    //point slectionn
 
 public void init() {
  x[0]=10; y[0]=10;
  x[1]=100; y[1]=100;
  addMouseListener(this);
  addMouseMotionListener(this);
  setBackground(Color.green);
  setForeground(Color.white);
 }
 
 void dessinePoint(Graphics g, int num) {
  if (num==numPoint) g.setColor(Color.red);
  g.fillRect(x[num]-2,y[num]-2,5,5);
  g.setColor(Color.white);
 }
 
 public void paint(Graphics g) {
  dessinePoint(g,0);
  dessinePoint(g,1);
  g.drawLine(x[0],y[0],x[1],y[1]);
 }

 // Gestion des vnements souris
 public void mouseReleased(MouseEvent e) {
  numPoint=-1;
  repaint();
 }

 double dist(int x1, int y1, int x2, int y2) {
  return Math.sqrt(1.0*(x2-x1)*(x2-x1)+1.0*(y2-y1)*(y2-y1));
 }
 
 public void mousePressed(MouseEvent e) {
  int xm=e.getX();
  int ym=e.getY();
  if (dist(xm,ym,x[0],y[0])<4) numPoint=0;
  else if (dist(xm,ym,x[1],y[1])<4) numPoint=1;
  if (numPoint!=-1) repaint();
 }

 public void mouseEntered(MouseEvent e) {}

 public void mouseExited(MouseEvent e) {}

 public void mouseClicked(MouseEvent e) {}

 public void mouseDragged(MouseEvent e) {
  //vrifier que la souris est dans la zone
  int xm=e.getX();
  int ym=e.getY();
  if (numPoint!=-1 && contains(xm,ym)) {
   x[numPoint]=xm;
   y[numPoint]=ym;
   repaint();
  } 
 }

 public void mouseMoved(MouseEvent e) {}
 
}