import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class PlusMoins extends Applet 
 implements ActionListener {

 static int maxEssais=10;
 Label rep=new Label();
 Label essai=new Label("Essai");
 int numEssai;
 int nombreSecret;
 TextField prop=new TextField();
 boolean fini;
 
 public void init() {
  setBackground(Color.green);
  setLayout(new BorderLayout(8,8));
  Label titre=new Label("LE NOMBRE SECRET");
  titre.setAlignment(Label.CENTER);
  titre.setFont(new Font("SansSerif",Font.BOLD,16));
  titre.setBackground(Color.yellow);
  add(BorderLayout.NORTH,titre);
  Panel centre=new Panel();
  add(BorderLayout.CENTER,centre);
  centre.setLayout(new GridLayout(1,2,8,8));
  TextArea regle=new TextArea("",6,20,TextArea.SCROLLBARS_VERTICAL_ONLY);
  String S="L'ordinateur a choisi un nombre entre 0 et 100.";
  S=S+"\n"+"Essaie de le retrouver en tenant compte des indications fournies.";
  S=S+"\n"+"Tu as droit  10 essais.";
  regle.setText(S);
  regle.setEditable(false);
  regle.setBackground(Color.yellow);
  centre.add(regle);
  centre.add(panelJeu());
 }

 public void start() {
  numEssai=1;
  essai.setText("Essai "+numEssai);
  rep.setText("----------");
  prop.setText("");
  prop.setEditable(true);
  fini=false;
  nombreSecret=(int)Math.floor(Math.random()*101);
  prop.requestFocus(); 
 }
 
 Panel panelJeu() {
  Panel p=new Panel();
  p.setLayout(new GridLayout(4,1,8,8));
  Panel ps=new Panel();
  ps.setLayout(new GridLayout(1,2,8,8));
  ps.add(essai);
  ps.add(prop);
  prop.addActionListener(this);
  p.add(ps);
  ps=new Panel();
  Button b=new Button("Vrifier");
  ps.add(b);
  p.add(ps);
  b.addActionListener(this);
  p.add(rep);
  rep.setBackground(Color.yellow);
  rep.setAlignment(Label.CENTER);
  b=new Button("Nouveau jeu");
  b.addActionListener(this);
  p.add(b);
  return p;
 }
 
 public Insets getInsets() {
  return new Insets(8,8,8,8);
 }
 
 void finJeu() {
  fini=true;
  prop.setEditable(false);
 }
 
 void numEssaiSuivant() {
  numEssai++;
  if (numEssai>maxEssais) {
   finJeu();
   rep.setText("Perdu. Rponse="+nombreSecret);
  } 
  else {
   essai.setText("Essai "+numEssai);
   prop.selectAll();
  } 
 }
 
 void verif() {
  int pr;
  try {
   pr=Integer.parseInt(prop.getText());
  } catch (Exception e) {
   pr=-1;
   rep.setText("Nombre mal crit.");
  }
  if (pr<0) return;
  if (pr<nombreSecret) {
   rep.setText("Trop petit ...");
   numEssaiSuivant();
  }
  else if (pr>nombreSecret) {
   rep.setText("Trop grand ...");
   numEssaiSuivant();
  }
  else {
   finJeu();
   rep.setText("Bravo !!!");
  }
 }
 
 public void actionPerformed(ActionEvent e) {
  if ("Nouveau jeu".equals(e.getActionCommand())) start();
  if (!fini && e.getSource()==prop) verif();
  else if (!fini && "Vrifier".equals(e.getActionCommand())) verif();
 }
 
 public void paint(Graphics g) {
  g.setColor(Color.gray);
  g.draw3DRect(0,0,getSize().width-1,getSize().height-1,false);
 }
}

