import java.util.*;
import java.text.*;

class DateHeure {

 public static String mois[]={"janvier","fvrier","mars",
  "avril", "mai", "juin", "juillet", "aot", "septembre",
  "octobre", "novembre", "dcembre"};
 
 public static String jour[]={"dimanche","lundi","mardi",
  "mercredi", "jeudi", "vendredi", "samedi"};
  
 public static void main(String[] arguments) {
  // Lecture de la date et de l'heure
  Calendar now = Calendar.getInstance();
  int hour = now.get(Calendar.HOUR_OF_DAY);
  int minute = now.get(Calendar.MINUTE);
  int month = now.get(Calendar.MONTH);
  int day = now.get(Calendar.DAY_OF_MONTH);
  int year = now.get(Calendar.YEAR);
  int wday = now.get(Calendar.DAY_OF_WEEK);
  // affiche message de bienvenue
  if (hour < 12) System.out.println("Bonjour.");
  else if (hour < 17) System.out.println("Bon aprs-midi.");
  else System.out.println("Bonsoir.");
  //dbut du message de l'heure
  System.out.print("Il est");
  //affiche l'heure
  System.out.print(" ");
  System.out.print((hour > 12) ? (hour - 12) : hour);
  System.out.print(" heures ");
  if(minute != 0) {
   System.out.print("et " + minute);
   System.out.print( (minute != 1) ? " minutes." : " minute.");
  }
  // affiche la date
  System.out.println(" Nous sommes le "+jour[wday-1]+" "+day+" "+mois[month]+" "+year+".");
  //en utilisant les classes de formatage
  //DateFormat df = DateFormat.getDateInstance();
  //System.out.println(df.format(now.getTime()));
 }
}


