import java.awt.*;
import java.applet.*;
import java.util.*;

public class Anim extends Applet 
 implements Runnable {

  Image[] Im=new Image[20];  
               //tableau contenant les images, 21 au plus
  Image Ima;   //image en cours de visualisation
  int nbIm=0;  //nombre d'images
  
  private Thread processus;
  int speed=250;

  boolean transparent=false;
  
  public void init() {
   setBackground(Color.white);
   String nom=getParameter("nom");
   if (nom==null) nom="img";
   String S=getParameter("nbmax");
   if (S!=null) {
    nbIm=Integer.parseInt(S);
    nbIm++;
   } 
   else nbIm=0;
   if (nbIm>21) nbIm=21;
   S=getParameter("pause");
   if (S!=null) speed=Integer.parseInt(S);
   S=getParameter("fond");
   if (S!=null) {
    Color col=couleur(S);
    if (col!=null) {
     setBackground(col); 
     transparent=true;
    } 
   }   
   //lecture des images
   for (int i=0; i<nbIm; i++) {
    Im[i]=getImage(getCodeBase(),nom+i+".gif");
   }
  }

  Color couleur(String S) {
   int r,g,b;
   Color col=null;
   StringTokenizer st=new StringTokenizer(S,",;");
   try {
    r=Integer.parseInt(st.nextToken());
    g=Integer.parseInt(st.nextToken());
    b=Integer.parseInt(st.nextToken());
    col=new Color(r,g,b);
   } catch (Exception e) {} 
   return col;
  }
  
  public void start() {
   if (processus==null) {
    processus=new Thread(this);
    processus.start();
   }
  }

  public void stop() {
   if (processus != null) {
    processus.stop();
    processus=null;
   }
  }    

  public void run() {
   int i=0;
   while (processus!=null) {
    Ima=Im[i];
    repaint();
    i++;
    if (i==nbIm) i=0;
    try {
     processus.sleep(speed);
    } catch (InterruptedException e) {}
   }
  }

  public void paint(Graphics g) {
   if (nbIm==0) g.drawString("Pas d'images !",0,10);
   else g.drawImage(Ima, 0, 0, this);
  }
 
  public void update(Graphics g) {
   if (!transparent) paint(g);
   else {
    g.setColor(getBackground());
    g.fillRect(0,0,getSize().width,getSize().height);
    paint(g);
   } 
  } 
}

