import java.awt.event.*;
import java.awt.*;
import java.applet.*;

public class DefilText extends Applet 
 implements Runnable {

 String msg=null;          // message affich
 Thread processus = null;  // le processus
 int x_coord = 0;          // coordonnes d'affichage
 int y_coord = 0;
 int len=0;                // longueur du message
 int speed=20;             // temps de pause
 //pour le double buffering
 Image img=null;           // image en mmoire
 Graphics gi=null;         // contexte graphique pour l'image
 
 public void init() {
  msg=getParameter("text");
  if (msg==null) msg="Texte dfilant";
  setFont(new Font("TimesRoman",Font.BOLD,36));
  setBackground(Color.white);
  setForeground(Color.red);
 }
 
 public void start() {
  if (processus == null) {
   processus = new Thread(this);
   processus.start();
  }
 }

 public void stop() {
  if (processus!=null) processus.stop();
  processus=null;
 }

 public void run() {
  while (processus!=null) {
   faireImage();
   repaint();
   x_coord--;
   if (x_coord<=-len) x_coord=getSize().width;
   try {
    processus.sleep(speed);
   } catch (InterruptedException e){}
  }
  processus=null;
 }

 
 public void paint(Graphics g) {
  if (img!=null) g.drawImage(img,0,0,this);
 }

 public void update(Graphics g) {
  paint(g);
 }
 
 public void faireImage() {
  if (len==0) { //calcul des mesures du texte
   img=createImage(getSize().width, getSize().height);
   gi=img.getGraphics();
   FontMetrics fm=gi.getFontMetrics();
   len=fm.stringWidth(msg);
   x_coord=getSize().width;
   y_coord=(getSize().height-fm.getHeight())/2+fm.getAscent();
  } 
  gi.setColor(getBackground());
  gi.fillRect(0,0,getSize().width,getSize().height);
  gi.setColor(getForeground());
  gi.drawString(msg,x_coord,y_coord);
 }
 
}
 
