import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class TelClient extends Frame 
 implements ActionListener {

 int portServeur;
 String adresseServeur;
 Socket sk;
 BufferedReader depuisServeur;
 PrintWriter versServeur;
 TextField nom=new TextField();
 TextField numero=new TextField(15);
 
 public TelClient(String adresse, int port) {
  portServeur=port;
  adresseServeur=adresse;
  addWindowListener(new Fermeture()); 
  Panel p=new Panel();
  p.setBackground(Color.white);
  add(BorderLayout.CENTER,p);
  p.setLayout(new GridLayout(2,2));
  p.add(new Label("Nom : "));
  p.add(nom);
  p.add(new Label("Numro : "));
  p.add(numero);
  numero.setEditable(false);
  Panel p1=new Panel();
  add(BorderLayout.SOUTH,p1);
  Button b=new Button("Chercher");
  p1.add(b);
  b.addActionListener(this);
  pack();
  connect();
 }
    
 public void connect() {
  try {
   sk=new Socket(adresseServeur,portServeur);
   depuisServeur=new BufferedReader(
    new InputStreamReader(sk.getInputStream()));
   versServeur=new PrintWriter(
    new OutputStreamWriter(sk.getOutputStream()),true);
   //lire bienvenue
   String S=depuisServeur.readLine();
  } catch (Exception e) {} 
 }

 public void disconnect() {
  try {
   sk.close();
  } catch (IOException e) {
  }
 } 

 public void actionPerformed(ActionEvent e) {
  if (e.getActionCommand().equals("Chercher")) {
   try {
    versServeur.println(nom.getText());
    String S=depuisServeur.readLine();
    numero.setText(S);
   } 
   catch (IOException ioe) {}
  } 
 }
 
 class Fermeture extends WindowAdapter {
  /**
   * Gestion de l'vnement Case de fermeture
   */
  public void windowClosing(WindowEvent e) {
   versServeur.println("");
   disconnect();
   System.exit(0);
  }
 }

 public static void main(String args[]) {
  System.out.println("Chargement en cours...");
  String adr="localhost";
  if (args.length>0) adr=args[0];
  int p=1234;
  if (args.length>1) {
   try {
    p=Integer.parseInt(args[1]);
   }
   catch (Exception e) {p=1234;}
  } 
  TelClient cli=new TelClient(adr,p);
  cli.setTitle("Tlphone");
  cli.setVisible(true);
 }

}

