import java.awt.*;

public class HistoGra extends Canvas {
 
 int maxDatas=26;
 double[] a=new double[maxDatas];
 String noms="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 int nbDatas=0;
 double maxi=0.0;

 public HistoGra() {
  setBackground(Color.white);
  setForeground(Color.blue);
 }

 public void addData(double val) {
  a[nbDatas]=val;
  nbDatas++;
  if (val>maxi) maxi=val;
 }
 
 public void changeData(int n, double val) {
  a[n]=val;
 }
 
 public int calcHauteur(double d, int h) {
  return (int)Math.floor(d*h/maxi);
 }
 
 public void reset() {
  nbDatas=0;
  maxi=0;
 }
 
 public void paint(Graphics g) {
  if (nbDatas==0) return;
  int marge=10;
  int largeur=getSize().width-2*marge;
  int hauteur=getSize().height-3*marge;
  int x=marge;
  int y=0;
  if (nbDatas>0) {
   int largeurItem=largeur/nbDatas;
   for (int i=0; i<nbDatas; i++) {
    y=calcHauteur(a[i],hauteur);
    g.setColor(Color.blue);
    g.fillRect(x,marge+hauteur-y,largeurItem,y);
    g.setColor(Color.black);
    g.drawRect(x,marge+hauteur-y,largeurItem,y);
    Font f=new Font("SansSerif",Font.BOLD,10);
    g.setFont(f);
    g.drawString(noms.substring(i,i+1),x+largeurItem/2,hauteur+2*marge);
    x=x+largeurItem;
   }
  } 
  g.setColor(Color.black);
  g.drawLine(marge,hauteur+marge,largeur+marge,hauteur+marge);
  
 }
 
}

