import java.awt.*;

/**
 * classe drive de Panel avec bordure donnant
 * un effet 3D
 */
public class Panel3D extends Panel {
 
 boolean relief;

 public Panel3D() {
  setBackground(Color.lightGray);
  relief=false;
 }
 
 public Panel3D(boolean relief) {
  setBackground(Color.lightGray);
  this.relief=relief;
 }

 /**
  * crer une marge pour les composants insrs
  * afin de ne pas recouvrir le cadre dessin
  */
 public Insets getInsets() {
  return new Insets(8,8,8,8);
 }

 /**
  * dessin de l'effet 3D
  */
 public void paint(Graphics g) {
  g.setColor(Color.lightGray);
  g.draw3DRect(4,4,getSize().width-8-1,getSize().height-8-1,relief);
 } 
}

