import java.awt.*;
import java.awt.event.*;

public class Euro extends java.applet.Applet
 implements ActionListener {
 
 static double valEuro=6.55957;
 TextField franc;
 TextField euro;
 
 public void init() {
  Panel pan;
  Label lab;
  setBackground(Color.lightGray);
  pan=new Panel();
  lab=new Label("CONVERSION FRANCS/EUROS");
  lab.setFont(new Font("SansSerif",Font.BOLD,16));
  pan.add(lab);
  add(pan);
  pan=new Panel();
  lab=new Label("Somme en Francs  : ");
  lab.setFont(new Font("Monospaced",Font.PLAIN,12));
  pan.add(lab);
  franc=new TextField(10);
  pan.add(franc);
  add(pan);
  pan=new Panel();
  lab=new Label("Equivalent Euros : ");
  lab.setFont(new Font("Monospaced",Font.PLAIN,12));
  pan.add(lab);
  euro=new TextField(10);
  euro.setEditable(false);
  euro.setBackground(Color.yellow);
  pan.add(euro);
  add(pan);
  pan=new Panel();
  Button bouton=new Button("Convertir");
  bouton.addActionListener(this);
  pan.add(bouton); 
  add(pan);
 }
 
 public void actionPerformed(ActionEvent e) {
  if (e.getActionCommand().equals("Convertir")) {
   try {
    Double FR=new Double(franc.getText());
    double EU=FR.doubleValue()/valEuro;
    EU=(Math.floor(EU*100+0.5))/100;
    euro.setText(""+EU);
   } catch (Exception ex) {
    euro.setText("Erreur!");
   } 
  }
 }
 
 public void paint(Graphics g) {
  int largeur=getSize().width;
  int hauteur=getSize().height;
  g.setColor(Color.gray);
  g.draw3DRect(0,0,largeur-1,hauteur-1,true);
  g.draw3DRect(4,4,largeur-9,hauteur-9,false);
 }

 public Insets getInsets() {
  return new Insets(6,6,6,6);
 } 
}
