import java.awt.*;
import java.applet.*;
import java.awt.event.*;

public class BoutonRadio extends Applet 
 implements ItemListener { 
  CheckboxGroup groupeRadio = new CheckboxGroup();
  Checkbox petit = new Checkbox("petit",groupeRadio,false);
  Checkbox moyen = new Checkbox("moyen",groupeRadio,true);
  Checkbox grand = new Checkbox("grand",groupeRadio,false);
  Checkbox disque = new Checkbox("disque",false);

 public void init() {
  setBackground(Color.yellow);
  setForeground(Color.red);
  add(petit);
  add(moyen);
  add(grand);
  add(disque);
  petit.addItemListener(this);
  moyen.addItemListener(this);
  grand.addItemListener(this);
  disque.addItemListener(this);
 }

 public void itemStateChanged(ItemEvent e) {
  repaint();
 }
  
 public void paint(Graphics g) {
  int rayon=100;
  if (petit.getState()) rayon=10;
  else if (moyen.getState()) rayon=50;
  else rayon=100;
  int x=(getSize().width-2*rayon)/2;
  int y=(getSize().height-2*rayon)/2;
  if (disque.getState())
   g.fillOval(x,y,2*rayon,2*rayon);
  else
   g.drawOval(x,y,2*rayon,2*rayon);
 }

}
