import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class ardoise extends Applet
 implements KeyListener {
 
  int Cx[] = new int[1000]; // Tableau des abscisses
  int Cy[] = new int[1000]; // Tableau des ordonnes
  int Index = -1;           // Index dans les tableaux Cx et Cy

 public void init() {
  addKeyListener(this);
  depart();                 // Point de dpart
 } 
 
 public void start() {
  //demander le focus pour que le clavier soit actif
  requestFocus();
 }
  
 void depart() {
  //initialisation dans l'init et avec touche suppr
  Index=-1;
  ajoutePoint(getSize().width/2,getSize().height/2);
 }
   
 void ajoutePoint(int x, int y) {
  //ajout d'un point
  if (Index<999) {
   Index++;
   Cx[Index]=x;
   Cy[Index]=y;
  } 
 }
 
 public void paint(Graphics g) {
  //affichage 
  if (Index==0) { //initialisation  1 point
   g.setColor(Color.white);
   g.fillRect(0,0,getSize().width,getSize().height);
   g.setColor(Color.black);
   g.drawLine(Cx[0],Cy[0],Cx[0],Cy[0]);
  } 
  else {          //cas de plusieurs points
   g.setColor(Color.black);
   for (int i=0; i<Index; i++)
    g.drawLine(Cx[i], Cy[i], Cx[i+1], Cy[i+1]);
  }  
 }
 
 public void update(Graphics g) {
  //pour eviter l'effacement de l'cran
  paint(g);
 }
   
 public void keyPressed(KeyEvent evt) {
  //gestion du clavier
  int Caract = evt.getKeyCode();
  switch (Caract) {
    case KeyEvent.VK_UP : 
     ajoutePoint(Cx[Index],Cy[Index]-2);
     break;
    case KeyEvent.VK_DOWN : 
     ajoutePoint(Cx[Index],Cy[Index]+2);
     break;
    case KeyEvent.VK_LEFT : 
     ajoutePoint(Cx[Index]-2,Cy[Index]);
     break;
    case KeyEvent.VK_RIGHT : 
     ajoutePoint(Cx[Index]+2,Cy[Index]);
     break;
    case KeyEvent.VK_DELETE :
     depart(); 
     break;
   } 
  repaint();    //on met la figure  jour
 }

 public void keyTyped(KeyEvent evt) { }

 public void keyReleased(KeyEvent evt) { }

}