import java.awt.*;
import java.applet.*;
import java.awt.event.*;

public class rvb extends Applet 
 implements AdjustmentListener {

 Canvas dessin;
 TextField code;
 Label lr,lv,lb;
 Scrollbar rouge, bleu, vert;

 public void init() {
  setLayout(new BorderLayout(10,10));
  setBackground(Color.lightGray);
   
  Panel reglette=new Panel();
  add(BorderLayout.NORTH,reglette=new Panel());
  rouge=new Scrollbar(Scrollbar.HORIZONTAL,0,1,0,255);
  vert=new Scrollbar(Scrollbar.HORIZONTAL,0,1,0,255);
  bleu=new Scrollbar(Scrollbar.HORIZONTAL,0,1,0,255);
  rouge.addAdjustmentListener(this);
  vert.addAdjustmentListener(this);
  bleu.addAdjustmentListener(this);
  reglette.setLayout(new GridLayout(3,2,2,2));
  lr=new Label("Rouge = 0");
  reglette.add(lr);
  reglette.add(rouge);
  lv=new Label("Vert = 0");
  reglette.add(lv);
  reglette.add(vert);
  lb=new Label("Bleu = 0");
  reglette.add(lb);
  reglette.add(bleu);
  lr.setAlignment(Label.CENTER);
  lv.setAlignment(Label.CENTER);
  lb.setAlignment(Label.CENTER);
  
  Panel test= new Panel();
  add(BorderLayout.CENTER,test);
  test.setLayout(new BorderLayout());
  dessin = new Canvas();
  test.add(BorderLayout.CENTER,dessin);
  dessin.setBackground(Color.black);
   
  Panel text=new Panel();
  add(BorderLayout.SOUTH,text= new Panel());
  text.setLayout(new BorderLayout());
  code= new TextField("setColor(new Color(0,0,0));");
  text.add(BorderLayout.CENTER,code);
  code.setEditable(false);
 }

 public void adjustmentValueChanged(AdjustmentEvent e) {
  dessin.setBackground(new Color(rouge.getValue(),vert.getValue(),bleu.getValue()));
  dessin.repaint();
  lr.setText("Rouge = "+rouge.getValue());
  lv.setText("Vert = "+vert.getValue());
  lb.setText("Bleu = "+bleu.getValue());
  code.setText("setColor(new Color("+rouge.getValue()+","+vert.getValue()+","+bleu.getValue()+"));");
 }

 public void paint(Graphics g)	{
  g.setColor(Color.gray);
  g.draw3DRect(0,0,getSize().width-1,getSize().height-1,true);
  g.draw3DRect(4,4,getSize().width-9,getSize().height-9,false);
 }
 
 public Insets getInsets() {
  return new Insets(10,10,10,10);
 }

}

