import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import java.util.*;

public class euro extends Applet
 implements ActionListener, ItemListener {

 int nbMonnaies=10;
 String[] monnaies=new String[nbMonnaies];
 double[] valMonnaies=new double[nbMonnaies];
 TextField valDep=new TextField(5);
 Choice choixMonnaie=new Choice();
 Button calc=new Button(" valent ");
 TextField valEuro=new TextField(10);
 
 public void init() {
  setBackground(Color.blue);
  add(valDep);
  valDep.addActionListener(this);
  add(choixMonnaie);
  choixMonnaie.addItemListener(this);
  add(calc);
  calc.addActionListener(this);
  add(valEuro);
  valEuro.setEditable(false);
  valEuro.setBackground(Color.cyan);
  add(new Label("euros."));
  lireFichier();
 }

 void lireFichier() {
  try {
   URL url=new URL(getCodeBase(),"euro.txt");
   //flot associ  l'url
   InputStream ips=url.openStream();
   BufferedReader in=new BufferedReader(new InputStreamReader(ips));
   String ligne;
   StringTokenizer st;
   for (int numLigne=0; numLigne<nbMonnaies; numLigne++) {
    ligne=in.readLine();
    st=new StringTokenizer(ligne,"=");
    monnaies[numLigne]=st.nextToken();
    valMonnaies[numLigne]=Double.valueOf(st.nextToken()).doubleValue();
    choixMonnaie.add(monnaies[numLigne]);
   } 
   in.close();
  } catch (Exception e) {
   choixMonnaie.removeAll();
   monnaies[0]="FRF";
   valMonnaies[0]=6.55957;
   choixMonnaie.addItem("FRF");
  } 
  choixMonnaie.select(5);
 }
 
 public void actionPerformed(ActionEvent e) {
  if (e.getSource()==valDep || e.getSource()==calc) {
   convert(choixMonnaie.getSelectedIndex());
  }
 }

 public void itemStateChanged(ItemEvent e) {
  convert(choixMonnaie.getSelectedIndex());
 } 
 
 void convert(int n) {
  valEuro.setText("");
  if (valDep.getText().length()==0) return;
  try {
   double r=Double.valueOf(valDep.getText()).doubleValue();
   r=r/valMonnaies[n];
   r=Math.floor(r*100+0.5)/100;
   valEuro.setText(""+r);
  } catch (Exception e) {
   valEuro.setText("Erreur.");
  }
 }
 
}

