import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;

public class Visio2 extends Applet 
 implements ItemListener {

 ImaZone ima=new ImaZone();
 List choix=new List();
 Checkbox mode0;
 Checkbox mode1;
 
 public void init() {
  setLayout(new BorderLayout());
  add(ima,BorderLayout.CENTER);
  Panel gauche=new Panel();
  add(gauche,BorderLayout.WEST);
  gauche.setLayout(new BorderLayout());
  gauche.add(choix,BorderLayout.CENTER);
  choix.addItemListener(this);
  choix.setMultipleMode(false);
  choix.setBackground(Color.green);  
  //lecture des paramtres et liste
  try {
   URL source=new URL(getCodeBase(),"liste.txt");
   BufferedReader br=new BufferedReader(
     new InputStreamReader(source.openStream()));
   String imgName;
   do {
    imgName=br.readLine();
    if (imgName!=null && imgName.length()>0) choix.add(imgName);
   } while (imgName!=null); 
  } catch (Exception e) {}
  //mode d'affichage
  Panel chk=new Panel();
  gauche.add(chk,BorderLayout.SOUTH);
  CheckboxGroup groupeRadio = new CheckboxGroup();
  mode0 = new Checkbox("centr",groupeRadio,true);
  mode1 = new Checkbox("plein",groupeRadio,false); 
  chk.setLayout(new GridLayout(2,1));
  chk.add(mode0);
  chk.add(mode1);
  mode0.addItemListener(this);
  mode1.addItemListener(this);
 }

 public void itemStateChanged(ItemEvent e) {
  if (e.getStateChange()==ItemEvent.SELECTED) {
   if (mode0.getState()) ima.setMode(0);
   else ima.setMode(1);
   Image img=getImage(getCodeBase(),choix.getSelectedItem());
   ima.setImage(img);
  } 
 }
 
}

class ImaZone extends Canvas {
 Image img;
 int mode=0;
 
 ImaZone() {
  img=null;
  setBackground(Color.white);
 }
 
 void setImage(Image img) {
  this.img=img;
  repaint();
 }
 
 void setMode(int m) {
  mode=m;
 }
 
 public void paint(Graphics g) {
  if (img!=null) {
   switch (mode) {
    case 0 :
     int x=(getSize().width-img.getWidth(this))/2;
     int y=(getSize().height-img.getHeight(this))/2;
     g.drawImage(img,x,y,this); 
     break;
    case 1 :
     g.drawImage(img,0,0,getSize().width,getSize().height,this);
     break;
   }  
  } 
 }
 
} 
