import java.awt.*;
import java.awt.event.*;

public class CanvasDessin extends Canvas 
 implements MouseListener, MouseMotionListener {

  Image img=null;
  Graphics gi=null;
  
  int oldx=-1;
  int oldy=-1;

  Color col=Color.black;
  
  public CanvasDessin() {
   addMouseListener(this);
   addMouseMotionListener(this);
  }

  public void efface(Color c) {
   gi.setColor(c);
   gi.fillRect(0,0,getSize().width,getSize().height);
   gi.setColor(col);
  }
  
  public void setColor(Color col) {
   this.col=col;
   gi.setColor(col);
  }
  
  // Gestion de l'vnement "bouton de la souris enfonc"
  public void mousePressed(MouseEvent evt) {
   oldx = evt.getX();
   oldy = evt.getY();
   gi.drawLine(oldx,oldy,oldx,oldy);
   repaint();
  }

  // Gestion de l'vnement "bouton de la souris relev"
  public void mouseReleased(MouseEvent evt) {
   if (oldx>=0 && oldy>=0) {
    gi.drawLine(oldx,oldy,evt.getX(),evt.getY());
    oldx=-1;
    oldy=-1;
    repaint();
   } 
  }

  public void mouseEntered(MouseEvent e) {}

  public void mouseExited(MouseEvent e) {}

  public void mouseClicked(MouseEvent e) {}

  // Gestion de l'vnement "dplacement souris avec bouton enfonc"
  public void mouseDragged(MouseEvent evt) {
   if (oldx>=0 && oldy>=0) {
    int newx=evt.getX();
    int newy=evt.getY();
    gi.drawLine(oldx,oldy,newx,newy);
    oldx=newx;
    oldy=newy;
    repaint();
   } 
  }

  public void mouseMoved(MouseEvent evt) {}

  // Trac
  public void paint (Graphics g) {
   if (img==null) {
    img=createImage(getSize().width, getSize().height);
    gi=img.getGraphics();
    gi.setColor(col);
    efface(Color.white);   
   }
   g.drawImage(img,0,0,getSize().width,getSize().height,this);
  }

  public void update (Graphics g) {
   paint(g);
  } 
}	

