/**
 * Cette classe permet la gestion du score d'un joueur.
 */ 
public class score {

 /**
  * Nom du joueur.
  */
 public String nom;
 
 /**
  * Score maximal
  */ 
 int scoMax;
 
 private int leScore;
 
/**
 * Constructeur par dfaut :
 * nom:"inconnu" ,
 * score initial:0 ,
 * score maximal:100 .
 */ 
 public score() {
  nom="inconnu";
  leScore=0;
  scoMax=100;
 }
 
 /**
  * Constructeur avec initialisation du nom.
  */ 
 public score(String nom) {
  this.nom=nom;
  leScore=0;
  scoMax=100;
 }

 /**
  * mthode de lecture du score
  */ 
 public int getScore(){
  return leScore;
 }

 /**
  * mthode d'criture du score
  */ 
 public void setScore(int sco) {
  if (sco>scoMax) leScore=scoMax;
  else if (sco<0) leScore=0;
  else leScore=sco;
 }
 
 /**
  * mthode pour ajouter des points au score.
  */ 
 public void ajoute(int points) {
  setScore(leScore+points);
 }
 
 /**
  * mthode d'affichage du score
  */ 
 public void affiche() {
  System.out.println(nom+" : "+leScore);
 }
 
} 
