import java.awt.*;
import java.applet.*;
import java.awt.event.*;

public class Chrono2 extends Applet 
 implements Runnable {
 
 private Thread chronometre; 
 int speed=100;
 private int ds=0;  //dixime de seconde
 
 public void init() {
  setBackground(Color.white);
  setForeground(Color.blue);
  setFont(new Font("SansSerif",Font.BOLD, getSize().height));
  addMouseListener(new Souris());
 }
 
 // Mthode appele par le systme au dmarrage de l'applet
 public void start () {
  // Au dbut de l'applet, cration et dmarrage du chronomtre
  if (chronometre==null) {
   chronometre=new Thread(this);
   chronometre.start();
  } 
 }

 public void run () {
  while (chronometre!=null) {
   repaint ();
   ds++;
   try {
    chronometre.sleep(speed);
   } catch (InterruptedException e) {}
  } 
 }

 // Mthode appele par le systme  l'arrt de l'applet
 public void stop () {
  // A la fin de l'applet, arrt du chronometre
  if (chronometre!=null) {
   chronometre.stop();
   chronometre=null;
  } 
 }

 public void paint (Graphics g) {
  // Dessine le temps coul sous forme de h:mm:ss:d  
  String S=ds/36000 +":"+(ds/6000)%6+(ds/600)%10
    +":"+(ds/100)%6+(ds/10)%10+ ":" + ds%10;
  FontMetrics fm=g.getFontMetrics();
  int largeur=fm.stringWidth(S);
  int hauteur=fm.getHeight();
  int x=(getSize().width-largeur)/2;
  int y=(getSize().height-hauteur)/2;  
  g.drawString(S, x, y+hauteur-fm.getDescent());
 }

 class Souris extends MouseAdapter {
  public void mouseClicked(MouseEvent e) {
   if (chronometre==null) start();
   else stop();
  }
 }
 
}

