import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class Couleurs extends Applet 
 implements ItemListener {

 Canvas zoneDessin=new Canvas();
 List liste=new List();
 Hashtable dico=new Hashtable();
 
 public void init() {
  setLayout(new BorderLayout());
  add(BorderLayout.WEST,liste);
  add(BorderLayout.CENTER,zoneDessin);
  liste.addItemListener(this);
  //initialisation du dictionnaire et de la liste
  dico.put("blanc",Color.white);
  liste.add("blanc");
  dico.put("bleu",Color.blue);
  liste.add("bleu");
  dico.put("cyan",Color.cyan); 
  liste.add("cyan");
  dico.put("gris",Color.gray); 
  liste.add("gris");
  dico.put("gris clair",Color.lightGray);
  liste.add("gris clair");
  dico.put("gris fonc",Color.darkGray);
  liste.add("gris fonc");
  dico.put("jaune",Color.yellow); 
  liste.add("jaune");
  dico.put("magenta",Color.magenta);
  liste.add("magenta");
  dico.put("noir",Color.black);
  liste.add("noir");
  dico.put("orange",Color.orange);
  liste.add("orange");
  dico.put("rose",Color.pink);
  liste.add("rose");
  dico.put("rouge",Color.red);
  liste.add("rouge");
  dico.put("vert",Color.green);
  liste.add("vert");
  liste.select(0);
  zoneDessin.setBackground(Color.white);
 }

 public Color lireCouleur(String nom) {
  return (Color)dico.get(nom);
 }
 
 public void itemStateChanged(ItemEvent e) {
  if (e.getStateChange()==ItemEvent.SELECTED) {
   Color col=lireCouleur(liste.getSelectedItem());
   zoneDessin.setBackground(col);
   zoneDessin.repaint();
  }
 }

}

